﻿--[[
bossnames.en.lua
This file gives the localised names of bosses needed in loot descriptions,
especially on tables from many locations where we need to indicate where the
loot came from.
]]
if (GetLocale() == 	"zhTW") then
local BabbleBoss = AceLibrary("Babble-Boss-2.2");
local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

AtlasLootBossNames = {

	AuchAuchenaiCrypts = {
		BabbleBoss["Exarch Maladaar"].." ("..BabbleZone["Auchenai Crypts"]..")";
		AL["Avatar of the Martyred"].." ("..BabbleZone["Auchenai Crypts"]..")";
	};

	AuchShadowLabyrinth = {
		BabbleBoss["Blackheart the Inciter"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Grandmaster Vorpil"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Murmur"].." ("..BabbleZone["Shadow Labyrinth"]..")";
	};

	BlackwingLair = {
		BabbleBoss["Razorgore the Untamed"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Vaelastrasz the Corrupt"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Broodlord Lashlayer"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Firemaw"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Ebonroc"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Flamegor"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Chromaggus"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Nefarian"].." ("..BabbleZone["Blackwing Lair"]..")";
	};

	CFRTheSteamvault = {
		BabbleBoss["Hydromancer Thespia"].." ("..BabbleZone["The Steamvault"]..")";
		BabbleBoss["Warlord Kalithresh"].." ("..BabbleZone["The Steamvault"]..")";
	};

	GruulsLair = {
		BabbleBoss["High King Maulgar"].." ("..BabbleZone["Gruul's Lair"]..")";
		BabbleBoss["Gruul the Dragonkiller"].." ("..BabbleZone["Gruul's Lair"]..")";
	};

	HCBloodFurnace = {
		BabbleBoss["Keli'dan the Breaker"].." ("..BabbleZone["The Blood Furnace"]..")";
	};

	HCShatteredHalls = {
		BabbleBoss["Warbringer O'mrogg"].." ("..BabbleZone["The Shattered Halls"]..")";
		BabbleBoss["Warchief Kargath Bladefist"].." ("..BabbleZone["The Shattered Halls"]..")";
	};

	MoltenCore = {
		BabbleBoss["Lucifron"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Magmadar"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Gehennas"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Garr"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Shazzrah"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Baron Geddon"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Golemagg the Incinerator"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Sulfuron Harbinger"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Ragnaros"].." ("..BabbleZone["Molten Core"]..")";
	};

	Naxxramas = {
		BabbleBoss["Patchwerk"];
		BabbleBoss["Grobbulus"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Gluth"];
		BabbleBoss["Thaddius"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Anub'Rekhan"];
		BabbleBoss["Grand Widow Faerlina"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Maexxna"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Instructor Razuvious"];
		BabbleBoss["Gothik the Harvester"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["The Four Horsemen"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Noth the Plaguebringer"];
		BabbleBoss["Heigan the Unclean"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Loatheb"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Sapphiron"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Kel'Thuzad"].." ("..BabbleZone["Naxxramas"]..")";
	};

	OnyxiasLair = {
		BabbleBoss["Onyxia"].." ("..BabbleZone["Onyxia's Lair"]..")";
	};

	TKMechanar = {
		BabbleBoss["Pathaleon the Calculator"].." ("..BabbleZone["The Mechanar"]..")";
	};

	TKTheArcatraz = {
		BabbleBoss["Harbinger Skyriss"].." ("..BabbleZone["The Arcatraz"]..")";
	};
};
end
